Skip to main content
GET
/
core
/
companies
Get Companies
curl --request GET \
  --url https://api.rootfi.dev/v3/core/companies \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/core/companies"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/core/companies', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 1,
      "rootfi_created_at": "2021-08-10T12:00:00Z",
      "rootfi_updated_at": "2021-08-10T12:00:00Z",
      "name": "Rootfi",
      "invite_link": {
        "rootfi_id": 1,
        "rootfi_created_at": "2021-08-10T12:00:00Z",
        "rootfi_updated_at": "2021-08-10T12:00:00Z",
        "invite_link_id": "1",
        "integrations": [
          "QUICKBOOKS",
          "XERO"
        ],
        "integration_categories": [
          "ACCOUNTING"
        ]
      },
      "connections": [
        {
          "rootfi_id": 1,
          "rootfi_created_at": "2021-08-10T12:00:00Z",
          "rootfi_updated_at": "2021-08-10T12:00:00Z",
          "integration_type": "QUICKBOOKS",
          "category": "ACCOUNTING",
          "connection_status": "HEALTHY",
          "sync_status": "IDLE",
          "sync_resume_at": "2021-08-10T12:00:00Z",
          "last_synced": "2021-08-10T12:00:00Z",
          "rate_limits": {
            "counters": {
              "day": 4,
              "hour": 1,
              "minute": 1,
              "concurrent": 0
            },
            "lastReset": {
              "day": "2024-01-28T11:00:17.087Z",
              "hour": "2024-01-29T05:10:40.896Z",
              "minute": "2024-01-29T05:10:40.896Z"
            },
            "maxLimits": {
              "per_minute": 500,
              "concurrent_calls": 10
            }
          },
          "sync_config": {
            "data_model": "ACCOUNTS",
            "category": "ACCOUNTING",
            "enabled": true,
            "frequency": "DAILY",
            "interval": 1,
            "scope_access": {
              "READ": true,
              "CREATE": true,
              "UPDATE": true,
              "DELETE": true
            }
          },
          "tally_last_active_at": "2021-08-10T12:00:00Z",
          "zoho_sub_calls_enabled": true
        }
      ],
      "activity_log": [
        {
          "rootfi_id": 1,
          "rootfi_created_at": "2021-08-10T12:00:00Z",
          "rootfi_updated_at": "2021-08-10T12:00:00Z",
          "activity_type": "COMPANY_CREATED"
        }
      ]
    }
  ],
  "next": "eyJyb290ZmlfaWQiOjQ0MDA2MX0="
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "field": "<string>"
  }
}

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of objects you want to retrieve

next
string | null

The next page of objects to retrieve

integrations
string | null

The integration type to filter the companies

categories
string | null

The integration category to filter the companies

status
string | null

The status of the company. Allowed values are HEALTHY, EXPIRED, PENDING, DISCONNECTED, SLEEPING, and DELETED

expand
string | null

The fields to expand in the response

Response

The data of the company endpoint

data
coreCompanyData · object[]
required

The data of the company endpoint

next
string | null

The next page of objects to retrieve